Loading...
Searching...
No Matches
Opm::CounterLog Class Reference

Provides a simple sytem for log message which are found by the Parser/Deck/EclipseState classes during processing the deck. More...

`#include <CounterLog.hpp>`

Inheritance diagram for Opm::CounterLog:

## Public Member Functions

| CounterLog (int64_t messageMask)
size_t | numMessages (int64_t messageType) const
void | clear ()
Public Member Functions inherited from Opm::LogBackend
| LogBackend (int64_t mask)
| Construct with given message mask.
virtual | ~LogBackend ()
| Virtual destructor to enable inheritance.
void | setMessageFormatter (std::shared_ptr< MessageFormatterInterface > formatter)
| Configure how formatMessage() will modify message strings.
void | setMessageLimiter (std::shared_ptr< MessageLimiter > limiter)
| Configure how message tags will be used to limit messages.
void | addMessage (int64_t messageFlag, const std::string &message)
| Add a message to the backend if accepted by the message limiter.
void | addTaggedMessage (int64_t messageFlag, const std::string &messageTag, const std::string &message)
| Add a tagged message to the backend if accepted by the message limiter.
int64_t | getMask () const
| The message mask types are specified in the Opm::Log::MessageType namespace, in file LogUtils.hpp.

## Protected Member Functions

void | addMessageUnconditionally (int64_t messageFlag, const std::string &message) override
| This is the method subclasses should override.
Protected Member Functions inherited from Opm::LogBackend
std::string | formatMessage (int64_t messageFlag, const std::string &message)
| Return decorated version of message depending on configureDecoration() arguments.

## Detailed Description

Provides a simple sytem for log message which are found by the Parser/Deck/EclipseState classes during processing the deck.

## Member Function Documentation

## addMessageUnconditionally()

void Opm::CounterLog::addMessageUnconditionally | ( | int64_t | messageFlag,
|  | const std::string & | message )

override protected virtual

This is the method subclasses should override.

Typically a subclass may filter, change, and output messages based on configuration and the messageFlag.

Implements Opm::LogBackend.

The documentation for this class was generated from the following files:

- opm/common/OpmLog/CounterLog.hpp
- opm/common/OpmLog/CounterLog.cpp